org.apache.felix.ipojo.extender.internal

## Interface Lifecycle

All Known Subinterfaces:
  BundleProcessor, LifecycleQueueService

All Known Implementing Classes:
  AbstractDeclaration, AbstractQueueService, AbstractService, ChainedBundleProcessor, ComponentsBundleProcessor, ConfigurationProcessor, DeclarationLinker, DefaultExtensionDeclaration, DefaultInstanceDeclaration, DefaultTypeDeclaration, EnforcedQueueService, ExecutorQueueService, ExtensionBundleProcessor, ForwardingBundleProcessor, ForwardingQueueService, ManagedType, PreferenceQueueService, QueuingActivationProcessor, ReverseBundleProcessor, SynchronousQueueService

    public interface Lifecycle

Simple start/stop interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `start()` Start the service.
`void` `stop()` Stop the service.

### Method Detail

#### start

    void start()

Start the service.

#### stop

    void stop()

Stop the service.